<?php
// Get the names and values for vars sent to this script
if (isset($HTTP_GET_VARS))
{
	while(list($name,$value) = each($HTTP_GET_VARS))
	{
		$$name = $value;
	};
};

require("./config/config.lib.php3");
require("./localization/".$L."/localized.chat.php3");
require("./lib/release.lib.php3");
require("./lib/database/".C_DB_TYPE.".lib.php3");
require("./lib/clean.lib.php3");

// Special cache instructions for IE5+
$CachePlus = "";
if (ereg("MSIE [56789]", (isset($HTTP_USER_AGENT)) ? $HTTP_USER_AGENT : getenv("HTTP_USER_AGENT"))) $CachePlus = ", pre-check=0, post-check=0, max-age=0";

header("Expires: Sun, 28 Dec 1997 09:32:45 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate".$CachePlus);
header("Pragma: no-cache");
header("Refresh: 30; URL=usersL.php3?". (isset($QUERY_STRING)) ? $QUERY_STRING : getenv("QUERY_STRING"));
header("Content-Type: text/html; charset=".$Charset);

// Text direction
$textDirection = ($Charset == "windows-1256") ? "RTL" : "LTR";

// For translations with an explicit charset (not the 'x-user-defined' one)
if (!isset($FontName)) $FontName = "";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML dir="<?php echo($textDirection); ?>">

<HEAD>
<TITLE><?php echo(APP_NAME); ?></TITLE>
<LINK REL="stylesheet" HREF="config/style.css.php3?<?php echo("Charset=${Charset}&medium=${FontSize}&FontName=${FontName}"); ?>" TYPE="text/css">
</HEAD>

<BODY CLASS="frame">
<P>
<?php
// Special formats depending on users status
function special_char($str,$lang,$type)
{
	$tag_open = (($type == 'a' || $type == 'm') ? "<I>":"");
	$tag_close = ($tag_open != "" ? "</I>":"");
	return $tag_open.($lang ? htmlentities($str) : htmlspecialchars($str)).$tag_close;
}

// Used inside javascript links 
function special_char2($str,$lang)
{
	return ($lang ? htmlentities(addslashes($str)) : htmlspecialchars(addslashes($str)));
}

$ImgNum = "0";

$DbLink = new DB;

//** Display users list for the current room **
$DbLink->query("SELECT username, latin1, status FROM ".C_USR_TBL." WHERE room='$R' ORDER BY username");
echo("<B>".htmlspecialchars(stripslashes($R))."</B><SPAN CLASS=\"small\"><BDO dir=\"${textDirection}\"></BDO>&nbsp;(".$DbLink->num_rows().")</SPAN><BR>\n");
while(list($User, $Latin1, $status) = $DbLink->next_record())
{
	// Put an icon when there is a profile for the user
	if ($status != "u" && $status != "k" && $status != "d" && $status != "b")
	{
		$ImgNum++;
		$Cmd2Send = ($User == stripslashes($U) ? "'PROFILE',''" : "'WHOIS','".special_char2($User,$Latin1)."'");
		echo("<A HREF=\"#\" onClick=\"window.parent.runCmd($Cmd2Send); return false;\" CLASS=\"user\" onmouseover=\"document.images['whoisImg$ImgNum'].src = window.parent.imgWhoisOn.src\" onmouseout=\"document.images['whoisImg$ImgNum'].src = window.parent.imgWhoisOff.src\"><IMG NAME=\"whoisImg$ImgNum\" SRC=\"images/whoisOff.gif\" WIDTH=5 HEIGHT=9 BORDER=0 ALT=\"".L_PROFILE."\"></A>&nbsp;");
	}
	else
	{
		echo("-&nbsp;");
	};
	if($User != $U)
	{
		echo("<A HREF=\"javascript:window.parent.userClick('".special_char2($User,$Latin1)."',false);\" CLASS=\"user\">".special_char($User,$Latin1,$status)."</A><BR>\n");
	}
	else
	{
		echo(special_char($User,$Latin1,$status)."<BR>\n");
	};
}
$DbLink->clean_results();
?>
</P>
<P>
<?php

//** Display users list for other rooms **
$AddPwd2Link = (isset($PWD_Hash) && $PWD_Hash != "") ? "&PWD_Hash=$PWD_Hash" : "";
$DbLink->query("SELECT DISTINCT room FROM ".C_MSG_TBL." WHERE room != '$R' AND type = 1 ORDER BY room");
if($DbLink->num_rows() > 0)
{
	$OthersUsers = new DB;
	while(list($Other) = $DbLink->next_record())
	{
		$OthersUsers->query("SELECT username, latin1, status FROM ".C_USR_TBL." WHERE room = '".addslashes($Other)."' ORDER BY username");
		if($OthersUsers->num_rows() > 0)
		{
			$notEmptyRooms[$Other] = 1;
			echo("<A HREF=\"$From?Ver=L&L=$L&U=".urlencode(stripslashes($U))."$AddPwd2Link&R1=".urlencode($Other)."&T=1&D=$D&N=$N&E=".urlencode(stripslashes($R))."&EN=$T\" TARGET=\"_parent\">".htmlspecialchars($Other)."</A><SPAN CLASS=\"small\"><BDO dir=\"${textDirection}\"></BDO>&nbsp;(".$OthersUsers->num_rows().")</SPAN><BR>\n");
			while(list($OtherUser,$Latin1,$status) = $OthersUsers->next_record())
			{
				// Put an icon when there is a profile for the user
				if ($status != "u" && $status != "k" && $status != "d" && $status != "b")
				{
					$ImgNum++;
					echo("<A HREF=\"#\" onClick=\"window.parent.runCmd('WHOIS','".special_char2($OtherUser,$Latin1)."'); return false;\" CLASS=\"user\" onmouseover=\"document.images['whoisImg$ImgNum'].src = window.parent.imgWhoisOn.src\" onmouseout=\"document.images['whoisImg$ImgNum'].src = window.parent.imgWhoisOff.src\"><IMG NAME=\"whoisImg$ImgNum\" SRC=\"images/whoisOff.gif\" WIDTH=5 HEIGHT=9 BORDER=0 ALT=\"".L_PROFILE."\"></A>&nbsp;");
				}
				else
				{
					echo("-&nbsp;");
				};
				echo("<A HREF=\"javascript:window.parent.userClick('".special_char2($OtherUser,$Latin1)."',false);\" CLASS=\"user\">".special_char($OtherUser,$Latin1,$status)."</A><BR>\n");
			}
			echo("</P><P>");
		}
		$OthersUsers->clean_results();
	}
}
$DbLink->clean_results();
$DbLink->close();


// Display all rest default rooms
for($k = 0; $k < count($DefaultChatRooms); $k++)
{
	$tmpRoom = stripslashes($DefaultChatRooms[$k]);

	// Display this room name when it hadn't been displayed yet
	if (strcasecmp($tmpRoom, stripslashes($R)) != 0 && (!isset($notEmptyRooms) || !isset($notEmptyRooms[$tmpRoom])))
	{
		echo("<A HREF=\"$From?Ver=L&L=$L&U=".urlencode(stripslashes($U))."$AddPwd2Link&R0=".urlencode($tmpRoom)."&T=1&D=$D&N=$N&E=".urlencode(stripslashes($R))."&EN=$T\" TARGET=\"_parent\">".htmlspecialchars($Other)."</A><SPAN CLASS=\"small\"><BDO dir=\"${textDirection}\"></BDO>&nbsp;(0)</SPAN><BR>\n");
    };
};

?>
</P>
</BODY>

</HTML>
<?php

?>